Blitzz Help Center

Minimum System Requirements (Hardware and Software)

We designed Blitzz to work with minimal system requirements. To have a successful call with someone, you must have:

Browsers

PC / MaciOSAndroid
Chrome 
(Recommended)
v60+
Safari
v12.1+
Chrome 
(Recommended) 
v60+
Safari
v13.0.2+

Samsung
v8.2+
MS Edge
v83.0.478.45+


Firefox
v59.0.3+


 Out of date browsers

Out of date browsers can cause issues, make sure your browser is on the latest version. Click here to update your browser.

Phones, Tablets, Smartglass and VR

Hardware DeviceMakeModel/OS
iPhone / iPadiOSiOS 22.0 or later
Phone / TabletAndroidOS Lollipop (API level 21)
SmartglassRealwear HMT-1, HMT-1Z1
SmartglassVuzix M300, M300XL, M400
SmartglassEpson MovarioBT 350
VR HeadsetNuEyed (VR)E2

Internet Speed

  • an Internet connection with at least 540 Kbps download and upload speeds (check your Internet speed here) We HIGHLY Recommend anything above 10-15 Mbps to have a better experience. (learn more about Bandwidth consumption)

Firewall Configuration

  • Ensure your network does not Block Blitzz Traffic. Sometimes firewalls will block some ports; if you are having trouble connecting while on a workplace network, ask your IT team to check this. You can run diagnostic tests here.

Tips

  • To test everything is working well, try the network diagnostic tests.
  • And here are the IP address requirements that need to be whitelisted.
  • Check your network speed here.
  • You'll need to have the latest operating systems such as Windows 10 or macOS Catalina to obtain the latest versions of the browsers listed above

Did you find it helpful? Yes No

Send feedback
Sorry we couldn't be helpful. Help us improve this article with your feedback.